Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE AER_SEDIMNT(pdtphys, t_seri, pplay, paprs, tr_seri, dens_aer)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aerophys.F90	(revision 5099)
@@ -1,8 +1,8 @@
 ! $Id$
-!
+
 MODULE aerophys
-!
+
   IMPLICIT NONE
-!
+
   REAL,PARAMETER    :: ropx=1500.0              ! default aerosol particle mass density [kg/m3]
   REAL,PARAMETER    :: dens_aer_dry=1848.682308 ! dry aerosol particle mass density at T_0=293K[kg/m3]
@@ -25,8 +25,8 @@
   REAL, PARAMETER   :: mNatome=14.0067*1.66E-27 ! Mass of an N atome [kg]
   REAL, PARAMETER   :: rgas=8.3145 ! molar gas cste (J⋅K−1⋅mol−1=m3⋅Pa⋅K−1⋅mol−1=kg⋅m2⋅s−2⋅K−1⋅mol−1)
-  ! 
+
   REAL, PARAMETER   :: MH2O  =1000.*mH2Omol     ! Mass of 1 molec [g] (18.016*1.66E-24)
   REAL, PARAMETER   :: MH2SO4=1000.*mH2SO4mol   ! Mass of 1 molec [g] (98.082*1.66E-24)
   REAL, PARAMETER   :: BOLZ  =1.381E-16         ! Boltzmann constant [dyn.cm/K]
-!
+
 END MODULE aerophys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/calcaerosolstrato_rrtm.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5099)
@@ -1,14 +1,14 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE COAGULATE(pdtcoag,mdw,tr_seri,t_seri,pplay,dens_aer,is_strato)
   !     -----------------------------------------------------------------------
-  !
+
   !     Author : Christoph Kleinschmitt (with Olivier Boucher)
   !     ------
-  !
+
   !     purpose
   !     -------
-  !
+
   !     interface
   !     ---------
@@ -17,8 +17,8 @@
   !       tr_seri        tracer mixing ratios               [kg/kg]
   !       mdw             # or mass median diameter          [m]
-  !
+
   !     method
   !     ------
-  !
+
   !     -----------------------------------------------------------------------
 
@@ -204,10 +204,10 @@
   DO j=1, nbtr_bin
   DO i=1, nbtr_bin
-!
+
      num=4.*RPI*(radiuswet(i)+radiuswet(j))*(Di(i)+Di(j))
      denom=(radiuswet(i)+radiuswet(j))/(radiuswet(i)+radiuswet(j)+sqrt(delta(i)**2.+delta(j)**2.))+ &
    4.*(Di(i)+Di(j))/(sqrt(thvelpar(i)**2.+thvelpar(j)**2.)*(radiuswet(i)+radiuswet(j)))
      beta(i,j)=num/denom
-!
+
 !--compute enhancement factor due to van der Waals forces
    IF (ok_vdw == 0) THEN      !--no enhancement factor
@@ -222,5 +222,5 @@
       EvdW = 1. + SQRT(AvdWi/3.)/(1.+bvdW0*SQRT(AvdWi)) + bvdW1*xvdW + bvdW3*xvdW**3.
    ENDIF
-!
+
    beta(i,j)=beta(i,j)*EvdW
 
@@ -247,14 +247,14 @@
        numi=0.0
        DO i=1, k-1
-!           
+
 !           see Jacobson: " In order to conserve volume and volume concentration (which
 !           coagulation physically does) while giving up some accuracy in number concentration" 
-!
+
 !           Coagulation of i and j giving k
 !           with V(i) and then V(j) because it considers i,j and j,i with the double loop
-!
+
 !           BUT WHY WET VOLUME V(i) in old STRATAER? tracers are already dry aerosols and coagulation 
 !           kernel beta(i,j) accounts for wet aerosols -> reply below
-!
+
 !             numi=numi+ff(i,j,k)*beta(i,j)*V(i)*tr_tp1(ilon,ilev,i)*tr_t(ilon,ilev,j)
             numi=numi+ff(i,j,k)*beta(i,j)*Vdry(i)*tr_tp1(ilon,ilev,i)*tr_t(ilon,ilev,j)
@@ -266,5 +266,5 @@
 !      tr_tp1(ilon,ilev,k)=(V(k)*tr_t(ilon,ilev,k)+pdtcoag*num)/( (1.+pdtcoag*denom)*V(k) )
     tr_tp1(ilon,ilev,k)=(Vdry(k)*tr_t(ilon,ilev,k)+pdtcoag*num)/( (1.+pdtcoag*denom)*Vdry(k) )
-!
+
 !       In constant composition (no dependency on aerosol size because no kelvin effect)
 !       V(l)= (f_r_wet(ilon,ilev)**3)*((mdw(l)/2.)**3) = (f_r_wet(ilon,ilev)**3)*Vdry(i)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE cond_evap_tstep_mod
 
@@ -11,5 +11,5 @@
       SUBROUTINE condens_evapor_rate_kelvin(R2SO4G,t_seri,pplay,R2SO4, &
    DENSO4,f_r_wet,R2SO4ik,DENSO4ik,f_r_wetik,FL,ASO4,DNDR)
-!
+
 !     INPUT: 
 !     R2SO4G: number density of gaseous H2SO4 [molecules/cm3]
@@ -127,5 +127,5 @@
 !       Kelvin factor (MKS)
         fkelvin=exp( 2.*1.e-3*surtens*1.e-6*mvh2so4/ (1.e-2*RRSI_wet(IK)*rgas*temp) )
-!                              
+
         DNDR(IK) =DND*fkelvin
 
@@ -167,5 +167,5 @@
       SUBROUTINE condens_evapor_rate(R2SO4G,t_seri,pplay,ACTSO4,R2SO4, &
    DENSO4,f_r_wet,FL,ASO4,DNDR)
-!
+
 !     INPUT: 
 !     R2SO4: aerosol H2SO4 weight fraction (percent)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE interp_sulf_input(debutphy,pdtphys,paprs,tr_seri)
 
@@ -84,9 +84,9 @@
 
   REAL H2SO4_lifetime_glo(klon_glo,klev)
-!
+
   REAL, ALLOCATABLE, SAVE :: OCS_clim(:,:)
   REAL, ALLOCATABLE, SAVE :: SO2_clim(:,:)
 !$OMP THREADPRIVATE(OCS_clim,SO2_clim)
-!
+
   INTEGER i, k, kk, j
   REAL p_bound
@@ -108,5 +108,5 @@
   2.47875223e+02,   1.50343923e+02,   9.11881985e+01, &
   5.53084382e+01,   3.35462635e+01,   0.0           /)
-!
+
  IF (.NOT.ALLOCATED(OCS_clim)) ALLOCATE(OCS_clim(klon,klev))
  IF (.NOT.ALLOCATED(SO2_clim)) ALLOCATE(SO2_clim(klon,klev))
@@ -311,5 +311,5 @@
   
   IF (is_mpi_root.AND.is_omp_root) THEN
-!
+
     DEALLOCATE(OCS_clim_in,SO2_clim_in,O3_clim_in)
     DEALLOCATE(OCS_clim_mth,SO2_clim_mth,O3_clim_mth)
@@ -318,5 +318,5 @@
     DEALLOCATE(OCS_lifetime_mth, SO2_lifetime_mth, H2SO4_lifetime_mth)
     DEALLOCATE(OCS_lifetime_tmp, SO2_lifetime_tmp, H2SO4_lifetime_tmp)
-!
+
   ENDIF !--is_mpi_root and is_omp_root
 
@@ -334,5 +334,5 @@
   DO i=1, klon
     DO k=1, klev
-      !
+
       !--OCS and SO2 prescribed back to their clim values below p_bound
       IF (paprs(i,k)>p_bound) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE micphy_tstep(pdtphys,tr_seri,t_seri,pplay,paprs,rh,is_strato)
 
@@ -63,14 +63,14 @@
   
   DO ilon=1, klon
-!
+
 !--initialisation of diagnostic
   budg_h2so4_to_part(ilon)=0.0
-!
+
   DO ilev=1, klev
-!
+
 !--initialisation of diagnostic
   budg_3D_nucl(ilon,ilev)=0.0
   budg_3D_cond_evap(ilon,ilev)=0.0
-!
+
   ! only in the stratosphere
   IF (is_strato(ilon,ilev)) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5099)
@@ -3,5 +3,5 @@
 !-------Mie computations for a size distribution 
 !       of homogeneous spheres.
-!
+
 !==========================================================
 !--Ref : Toon and Ackerman, Applied Optics, 1981
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/minmaxsimple.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE minmaxsimple(zq,qmin,qmax,comment)
   USE dimphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE nucleation_tstep_mod
 
@@ -136,5 +136,5 @@
 
   !    Fortran 90 subroutine binapara
-  !
+
   !    Calculates parametrized values of nucleation rate,
   !    mole fraction of sulphuric acid
@@ -142,7 +142,7 @@
   !    in H2O-H2SO4 system IF temperature, saturatio ratio of water and 
   !    sulfuric acid concentration  are given. 
-  !
+
   !    Copyright (C) 2002 Hanna Vehkamäki
-  !
+
   !    Division of Atmospheric Sciences
   !    Department of Physical Sciences
@@ -150,5 +150,5 @@
   !    FIN-00014 University of Helsinki
   !    Finland
-  !    
+
   !    hanna.vehkamaki@helsinki.fi
 
@@ -300,5 +300,5 @@
 
   !    Fortran 90 subroutine newbinapara
-  !
+
   !    Calculates parametrized values for neutral and ion-induced sulfuric acid-water particle formation rate
   !    of critical clusters, 
@@ -307,14 +307,14 @@
   !    and, optionally, either condensation sink due to pre-existing particle and ion pair production rate,
   !    or atmospheric concentration of negative ions are given. 
-  !
+
   !    The code calculates also the kinetic limit and the particle formation rate
   !    above this limit (in which case we set ntot=1 and na=1)
-  !
+
   !    Copyright (C)2018 Määttänen et al. 2018
-  !    
+
   !    anni.maattanen@latmos.ipsl.fr
   !    joonas.merikanto@fmi.fi
   !    hanna.vehkamaki@helsinki.fi
-  !
+
   !    References
   !    A. Määttänen, J. Merikanto, H. Henschel, J. Duplissy, R. Makkonen, 
@@ -322,11 +322,10 @@
   !    neutral and ion-induced sulfuric acid-water particle formation in 
   !    nucleation and kinetic regimes, J. Geophys. Res. Atmos., 122, doi:10.1002/2017JD027429.
-  !
+
   !    Brasseur, G., and A.  Chatel (1983),  paper  presented  at  the  9th  Annual  Meeting  of  the  
   !    European Geophysical Society, Leeds, Great Britain, August 1982.
-  !  
+
   !    Dunne, Eimear M., et al.(2016), Global atmospheric particle formation from CERN CLOUD measurements,
   !    Science 354.6316, 1119-1124.   
-  !
 
   USE aerophys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE ocs_to_so2(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE SO2_TO_H2SO4(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: stratH2O_methox.F90 3677 2020-05-06 15:18:32Z oboucher $
-!
+
 SUBROUTINE stratH2O_methox(debutphy,paprs,dq_ch4mmr)
-!
+
 ! output: CH4VMR in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
 
@@ -60,5 +60,5 @@
   REAL, ALLOCATABLE :: CH4RVMR_tmp(:, :)
   REAL CH4RVMR_glo(klon_glo,klev)
-!
+
   INTEGER i, k, kk, j
   
@@ -77,6 +77,5 @@
   2.47875223e+02,   1.50343923e+02,   9.11881985e+01, &
   5.53084382e+01,   3.35462635e+01,   0.0           /)
-!
-  
+
   IF (debutphy .OR. mth_cur /= mth_pre) THEN
      
@@ -136,5 +135,5 @@
               
               DO kk=1, n_lev
-                 !
+
                  CH4RVMR_glo(i,k)=CH4RVMR_glo(i,k)+ &
                       MAX(0.0,MIN(paprs_glo(i,k),paprs_input(kk)) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5099)
@@ -24,5 +24,5 @@
     !Config Def  = F
     !Config Help = Used in physiq.F
-    !
+
     CALL getin_p('flag_nuc_rate_box',flag_nuc_rate_box)
     CALL getin_p('nuclat_min',nuclat_min)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: stratemit.F90  2022-07-04 mmarchand $
-!
+
 SUBROUTINE STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
-!
+
   USE dimphy, ONLY : klon,klev
   USE strataer_local_var_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: stratemit.F90  2022-07-04 mmarchand $
-!
+
 SUBROUTINE STRATEMIT(pdtphys,pdt,xlat,xlon,t_seri,pplay,paprs,tr_seri,&
                     m_emiss_vol_daily,latmin,latmax,lonmin,lonmax,altemiss,sigma_alt,id_spec,&
@@ -78,5 +78,5 @@
      xlon(i)>=lonmin-dlon .AND. &
      xlon(i)<lonmax+dlon ) THEN
-                   !
+
           WRITE(*,*) 'coordinates of volcanic injection point=',&
       xlat(i),xlon(i),day_cur,mth_cur,year_cur
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5099)
@@ -8,5 +8,5 @@
 !*******************************************************************
       SUBROUTINE STRACOMP_KELVIN(sh,t_seri,pplay)
-!
+
 !     Aerosol H2SO4 weight fraction as a function of PH2O and temperature
 !     INPUT:
@@ -14,5 +14,5 @@
 !     t_seri: temperature (K)
 !     pplay: middle layer pression (Pa)
-!
+
 !     Modified in modules:
 !     R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -115,5 +115,5 @@
 !            aerosol density (gr/cm3) = f(T,h2so4 mass fraction)
              denso4ik=density(temp,wpp)
-!           
+
 !            recalculate Kelvin factor with surface tension and radwet 
 !                              with new R2SO4B and DENSO4B
@@ -134,5 +134,5 @@
              f_r_wetB(ilon,ilev,IK) = (dens_aer_dry/(DENSO4B(ilon,ilev,IK)*1.e3)/ & 
       (R2SO4B(ilon,ilev,IK)*1.e-2))**third
-!
+
 !             print*,'R,Rwet(m),kelvin,h2so4(%),ro=',RRSI(ik),radwet,fkelvin, &
 !              &  R2SO4B(ilon,ilev,IK),DENSO4B(ilon,ilev,IK)
@@ -160,5 +160,5 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -175,5 +175,5 @@
      
     REAL PMB(klon,klev), H2O(klon,klev)
-!
+
 !   working variables
     INTEGER I,J,K
@@ -187,5 +187,5 @@
     REAL YC(M)
     REAL XC1, XC16, YC1, YC28
-!
+
     SAVE INSTEP,F,XC,YC,XC1,XC16,YC1,YC28
 !$OMP THREADPRIVATE(INSTEP,F,XC,YC,XC1,XC16,YC1,YC28)
@@ -216,5 +216,5 @@
        XC(15)=30.0
        XC(16)=100.0
-!
+
        YC(1)=175.0
        DO I=2,28
@@ -226,5 +226,5 @@
          XC(I)=XC(I)*1.0E-4
        ENDDO
-!
+
        XC1=XC(1)+1.E-10
        XC16=XC(16)-1.E-8
@@ -247,5 +247,5 @@
        F(6,17)=86.79
        F(6,18)=88.32
-!
+
 !      ADD FACTOR  BECAUSE THE SLOP IS TOO IMPORTANT
 !      NOT FOR THIS ONE BUT THE REST
@@ -256,5 +256,5 @@
        F(6,2)=A*YC(2) + B
        F(6,3)=A*YC(3) + B
-!
+
        F(7,4)=37.02
        F(7,5)=49.46
@@ -272,5 +272,5 @@
        F(7,17)=85.85
        F(7,18)=87.33
-!
+
        A=(F(7,5)-F(7,4))/( (YC(5)-YC(4))*2.0)
        B=-A*YC(4) + F(7,4)
@@ -278,5 +278,5 @@
        F(7,2)=A*YC(2) + B
        F(7,3)=A*YC(3) + B
-!
+
        F(8,4)=25.85
        F(8,5)=42.26
@@ -294,5 +294,5 @@
        F(8,17)=84.67
        F(8,18)=86.10
-!
+
        A=(F(8,5)-F(8,4))/( (YC(5)-YC(4))*2.5 )
        B=-A*YC(4) + F(8,4)
@@ -300,5 +300,5 @@
        F(8,2)=A*YC(2) + B
        F(8,3)=A*YC(3) + B
-!
+
        F(9,4)=15.38
        F(9,5)=39.35
@@ -316,5 +316,5 @@
        F(9,17)=84.25
        F(9,18)=85.66
-!
+
        A=(F(9,5)-F(9,4))/( (YC(5)-YC(4))*7.0)
        B=-A*YC(4) + F(9,4)
@@ -322,5 +322,5 @@
        F(9,2)=A*YC(2) + B
        F(9,3)=A*YC(3) + B
-!
+
        F(10,4)=0.0
        F(10,5)=34.02
@@ -338,5 +338,5 @@
        F(10,17)=83.57
        F(10,18)=84.97
-!
+
        A=(F(10,6)-F(10,5))/( (YC(6)-YC(5))*1.5)
        B=-A*YC(5) + F(10,5)
@@ -345,5 +345,5 @@
        F(10,3)=A*YC(3) + B
        F(10,4)=A*YC(4) + B
-!
+
        F(11,4)=0.0
        F(11,5)=29.02
@@ -361,5 +361,5 @@
        F(11,17)=83.03
        F(11,18)=84.44
-!
+
        A=(F(11,6)-F(11,5))/( (YC(6)-YC(5))*2.5 )
        B=-A*YC(5) + F(11,5)
@@ -368,5 +368,5 @@
        F(11,3)=A*YC(3) + B
        F(11,4)=A*YC(4) + B
-!
+
        F(12,4)=0.0
        F(12,5)=23.13
@@ -384,5 +384,5 @@
        F(12,17)=82.58
        F(12,18)=83.99
-!
+
        A=(F(12,6)-F(12,5))/( (YC(6)-YC(5))*3.5 )
        B=-A*YC(5) + F(12,5)
@@ -391,5 +391,5 @@
        F(12,3)=A*YC(3) + B
        F(12,4)=A*YC(4) + B
-!
+
        F(13,4)=0.0
        F(13,5)=0.0
@@ -407,5 +407,5 @@
        F(13,17)=82.02
        F(13,18)=83.44
-!
+
        A=(F(13,7)-F(13,6))/( (YC(7)-YC(6))*2.0)
        B=-A*YC(6) + F(13,6)
@@ -415,5 +415,5 @@
        F(13,4)=A*YC(4) + B
        F(13,5)=A*YC(5) + B
-!
+
        F(14,4)=0.0
        F(14,5)=0.0
@@ -431,5 +431,5 @@
        F(14,17)=81.26
        F(14,18)=82.72
-!
+
        A=(F(14,7)-F(14,6))/( (YC(7)-YC(6))*2.5 )
        B=-A*YC(6) + F(14,6)
@@ -439,5 +439,5 @@
        F(14,4)=A*YC(4) + B
        F(14,5)=A*YC(5) + B
-!
+
        F(15,4)=0.0
        F(15,5)=0.0
@@ -455,5 +455,5 @@
        F(15,17)=80.12
        F(15,18)=81.64
-!
+
        A=(F(15,8)-F(15,7))/( (YC(8)-YC(7))*1.5)
        B=-A*YC(7) + F(15,7)
@@ -546,5 +546,5 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   ACTSO4: H2SO4 activity (percent)
@@ -624,5 +624,5 @@
 !   VERY ROUGH APPROXIMATION (SEE FOR WATER IN HANDBOOK
 !   LINEAR 2% FOR 30 DEGREES with RESPECT TO WATER)
-!   
+
 !   INPUT: 
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -631,8 +631,8 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   DENSO4: aerosol mass density (gr/cm3 = aerosol mass/aerosol volume)
-!   
+
     USE dimphy, ONLY : klon,klev
     USE phys_local_var_mod, ONLY: R2SO4, DENSO4
@@ -657,5 +657,5 @@
 !***********************************************************
     SUBROUTINE FIND(X,Y,XC,YC,F,VAL,N,M)
-!
+
 !   BI-LINEAR INTERPOLATION
 
@@ -666,5 +666,5 @@
 !   YC: Table temperature (K)
 !   F: Table aerosol H2SO4 weight fraction=f(XC,YC) (percent)
-!
+
 !   OUTPUT: 
 !   VAL: aerosol H2SO4 weight fraction (percent)
@@ -674,5 +674,5 @@
     INTEGER N,M
     REAL X,Y,XC(N),YC(M),F(N,M),VAL
-!
+
 !   working variables
     INTEGER  IERX,IERY,JX,JY,JXP1,JYP1
@@ -768,5 +768,5 @@
       real function psh2so4(T) result(psh2so4_out)
 !     equilibrium H2SO4 pressure over pure H2SO4 solution (Pa)
-!
+
 !---->Ayers et.al. (1980), GRL (7) pp 433-436
 !     plus corrections for lower temperatures by Kulmala and Laaksonen (1990)
@@ -810,5 +810,5 @@
      real function psh2o(T) result(psh2o_out)
 !     equilibrium H2O pressure over pure liquid water (Pa)
-!
+
       implicit none
       real, intent(in) :: T
@@ -930,15 +930,15 @@
 !     as a function of temperature and  H2O pressure, using
 !     the parameterization of Tabazadeh et al., GRL, p1931, 1997.
-!
+
 !   Parameters
-!
+
 !    input:
 !      T.....temperature (K)
 !      pph2o..... amhbiant 2o pressure (Pa)
-!
+
 !    output:
 !      wph2so4......sulfuric acid composition (weight percent wt % h2so4)
 !                     = h2so4 mass fraction*100.
-!
+
       implicit none
       real, intent(in) :: pph2o, T 
@@ -1059,4 +1059,4 @@
        return
      end function rmvh2o
-!
+
 END MODULE sulfate_aer_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
 MODULE traccoag_mod
-!
+
 ! This module calculates the concentration of aerosol particles in certain size bins
 ! considering coagulation and sedimentation.
-!
+
 CONTAINS
 
@@ -190,5 +190,5 @@
        
     CASE(2) ! stratospheric aerosol injections (SAI)
-!
+
      ! Computing duration of SAI in days...
      ! ... starting from 0...