Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/grilles_gcm_netcdf_sub.F90	(revision 5100)
@@ -122,20 +122,20 @@
   !-------------------------
   !   Longitudes on "u" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'lonu',NF90_FLOAT,out_lonudim, out_lonuid)
+  status=nf90_def_var(ncid_out,'lonu',nf90_float,out_lonudim, out_lonuid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_lonuid,'units','degrees_east')
   status=nf90_put_att(ncid_out,out_lonuid,'long_name','Longitude on u grid')
   !   Longitudes on "v" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'lonv',NF90_FLOAT,out_lonvdim, out_lonvid)
+  status=nf90_def_var(ncid_out,'lonv',nf90_float,out_lonvdim, out_lonvid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_lonvid,'units','degrees_east')
   status=nf90_put_att(ncid_out,out_lonvid,'long_name','Longitude on v grid')
   !   Latitudes on "u" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'latu',NF90_FLOAT,out_latudim, out_latuid)
+  status=nf90_def_var(ncid_out,'latu',nf90_float,out_latudim, out_latuid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_latuid,'units','degrees_north')
   status=nf90_put_att(ncid_out,out_latuid,'long_name','Latitude on u grid')
   !  Latitudes on "v" dynamical grid
-  status=NF90_DEF_VAR(ncid_out,'latv',NF90_FLOAT,out_latvdim, out_latvid)
+  status=nf90_def_var(ncid_out,'latv',nf90_float,out_latvdim, out_latvid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_latvid,'units','degrees_north')
@@ -144,5 +144,5 @@
   out_dim(1)=out_lonudim
   out_dim(2)=out_latudim
-  status=NF90_DEF_VAR(ncid_out,'grille_u',NF90_FLOAT,out_dim, out_uid)
+  status=nf90_def_var(ncid_out,'grille_u',nf90_float,out_dim, out_uid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_uid,'units','m/s')
@@ -151,5 +151,5 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latvdim
-  status=NF90_DEF_VAR(ncid_out,'grille_v',NF90_FLOAT,out_dim, out_vid)
+  status=nf90_def_var(ncid_out,'grille_v',nf90_float,out_dim, out_vid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_vid,'units','m/s')
@@ -158,5 +158,5 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-  status=NF90_DEF_VAR(ncid_out,'grille_s',NF90_FLOAT,out_dim, out_tempid)
+  status=nf90_def_var(ncid_out,'grille_s',nf90_float,out_dim, out_tempid)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,out_tempid,'units','Kelvin')
@@ -165,5 +165,5 @@
   ! for INCA :
   ! vertical levels "presnivs"
-  status=NF90_DEF_VAR(ncid_out,'presnivs',NF90_FLOAT,out_levdim, presnivs_id)
+  status=nf90_def_var(ncid_out,'presnivs',nf90_float,out_levdim, presnivs_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,presnivs_id,'units','Pa')
@@ -172,10 +172,10 @@
   out_dim(1)=out_lonvdim
   out_dim(2)=out_latudim
-  status = nf90_def_var(ncid_out,'phis',NF90_FLOAT,out_dim,phis_id)
+  status = nf90_def_var(ncid_out,'phis',nf90_float,out_dim,phis_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,phis_id,'units','m')
   status=nf90_put_att(ncid_out,phis_id,'long_name','surface geopotential height')
   ! gridcell area
-  status = nf90_def_var(ncid_out,'aire',NF90_FLOAT,out_dim,area_id)
+  status = nf90_def_var(ncid_out,'aire',nf90_float,out_dim,area_id)
   CALL handle_err(status)
   status=nf90_put_att(ncid_out,area_id,'units','m2')
@@ -193,13 +193,13 @@
   !-------------------------
   ! 1D : lonu, lonv,latu,latv ; INCA : presnivs
-  status=NF90_PUT_VAR(ncid_out,out_lonuid,rlonudeg,[1],[iip1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_lonvid,rlonvdeg,[1],[iip1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_latuid,rlatudeg,[1],[jjp1])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,out_latvid,rlatvdeg,[1],[jjm])
-  CALL handle_err(status)
-  status=NF90_PUT_VAR(ncid_out,presnivs_id,rlev,[1],[llm])
+  status=nf90_put_var(ncid_out,out_lonuid,rlonudeg,[1],[iip1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_lonvid,rlonvdeg,[1],[iip1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_latuid,rlatudeg,[1],[jjp1])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,out_latvid,rlatvdeg,[1],[jjm])
+  CALL handle_err(status)
+  status=nf90_put_var(ncid_out,presnivs_id,rlev,[1],[llm])
   CALL handle_err(status)
 
@@ -209,11 +209,11 @@
   
   COUNT(2)=jjp1  ! for "u" and "s" grids
-  status=NF90_PUT_VAR(ncid_out,out_uid,uwnd,start, count)
+  status=nf90_put_var(ncid_out,out_uid,uwnd,start, count)
   CALL handle_err(status)
   COUNT(2)=jjm  ! for "v" grid
-  status=NF90_PUT_VAR(ncid_out,out_vid,vwnd,start, count)
+  status=nf90_put_var(ncid_out,out_vid,vwnd,start, count)
   CALL handle_err(status) 
   COUNT(2)=jjp1  ! as "s" grid, for all the following vars
-  status=NF90_PUT_VAR(ncid_out,out_tempid,temp,start, count)
+  status=nf90_put_var(ncid_out,out_tempid,temp,start, count)
   CALL handle_err(status)
   status = nf90_put_var(ncid_out, phis_id, phis_loc,start,count)