Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/aer_sedimnt.F90	(revision 5101)
@@ -19,5 +19,5 @@
   USE phys_local_var_mod, ONLY: mdw, budg_sed_part, DENSO4, DENSO4B, f_r_wet, f_r_wetB, vsed_aer
   USE strataer_local_var_mod, ONLY: flag_new_strat_compo
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE infotrac_phy
   USE aerophys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5101)
@@ -23,5 +23,5 @@
   !     -----------------------------------------------------------------------
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE aerophys
   USE infotrac_phy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/cond_evap_tstep_mod.F90	(revision 5101)
@@ -28,7 +28,7 @@
       USE aerophys
       USE infotrac_phy
-      USE lmdz_yomcst, ONLY : RPI
-      USE sulfate_aer_mod, ONLY : wph2so4, surftension, solh2so4, rpmvh2so4
-      USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
+      USE lmdz_yomcst, ONLY: RPI
+      USE sulfate_aer_mod, ONLY: wph2so4, surftension, solh2so4, rpmvh2so4
+      USE strataer_local_var_mod, ONLY: ALPH2SO4, RRSI
       
       IMPLICIT NONE
@@ -177,6 +177,6 @@
       USE aerophys
       USE infotrac_phy
-      USE lmdz_yomcst, ONLY : RPI
-      USE strataer_local_var_mod, ONLY : ALPH2SO4, RRSI
+      USE lmdz_yomcst, ONLY: RPI
+      USE strataer_local_var_mod, ONLY: ALPH2SO4, RRSI
 
       IMPLICIT NONE
@@ -290,6 +290,6 @@
       USE aerophys
       USE infotrac_phy
-      USE lmdz_yomcst, ONLY : RPI
-      USE strataer_local_var_mod, ONLY : RRSI,Vbin
+      USE lmdz_yomcst, ONLY: RPI
+      USE strataer_local_var_mod, ONLY: RRSI,Vbin
       
       IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5101)
@@ -9,8 +9,8 @@
 
   USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY :  is_omp_root
-  USE phys_local_var_mod, ONLY : budg_3D_backgr_ocs, budg_3D_backgr_so2
-  USE phys_local_var_mod, ONLY : OCS_lifetime, SO2_lifetime, H2SO4_lifetime, O3_clim
+  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
+  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE phys_local_var_mod, ONLY: budg_3D_backgr_ocs, budg_3D_backgr_so2
+  USE phys_local_var_mod, ONLY: OCS_lifetime, SO2_lifetime, H2SO4_lifetime, O3_clim
   USE mod_phys_lmdz_para 
   USE dimphy
@@ -19,5 +19,5 @@
   USE aerophys
   USE lmdz_yomcst
-  USE strataer_local_var_mod, ONLY : flag_newclim_file,flag_verbose_strataer
+  USE strataer_local_var_mod, ONLY: flag_newclim_file,flag_verbose_strataer
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5101)
@@ -4,14 +4,14 @@
 SUBROUTINE micphy_tstep(pdtphys,tr_seri,t_seri,pplay,paprs,rh,is_strato)
 
-  USE geometry_mod, ONLY : latitude_deg !NL- latitude corr. to local domain
-  USE dimphy, ONLY : klon,klev
+  USE geometry_mod, ONLY: latitude_deg !NL- latitude corr. to local domain
+  USE dimphy, ONLY: klon,klev
   USE aerophys
-  USE infotrac_phy, ONLY : nbtr_bin, nbtr_sulgas, nbtr, id_H2SO4_strat
+  USE infotrac_phy, ONLY: nbtr_bin, nbtr_sulgas, nbtr, id_H2SO4_strat
   USE phys_local_var_mod, ONLY: mdw, budg_3D_nucl, budg_3D_cond_evap, budg_h2so4_to_part, R2SO4, DENSO4, &
        f_r_wet, R2SO4B, DENSO4B, f_r_wetB
   USE nucleation_tstep_mod
   USE cond_evap_tstep_mod
-  USE sulfate_aer_mod, ONLY : STRAACT
-  USE lmdz_yomcst, ONLY : RPI, RD, RG
+  USE sulfate_aer_mod, ONLY: STRAACT
+  USE lmdz_yomcst, ONLY: RPI, RD, RG
   USE print_control_mod, ONLY: lunout
   USE strataer_local_var_mod ! contains also RRSI and Vbin
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5101)
@@ -18,10 +18,10 @@
   USE aerophys, ONLY: dens_aer_dry, dens_aer_ref, V_rat
   USE aero_mod
-  USE infotrac_phy, ONLY : nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
+  USE infotrac_phy, ONLY: nbtr, nbtr_bin, nbtr_sulgas, id_SO2_strat
   USE dimphy
-  USE lmdz_yomcst  , ONLY : RG, RPI
+  USE lmdz_yomcst  , ONLY: RG, RPI
   USE mod_phys_lmdz_para, only: gather, scatter, bcast
-  USE mod_grid_phy_lmdz, ONLY : klon_glo
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+  USE mod_grid_phy_lmdz, ONLY: klon_glo
+  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
   USE print_control_mod, ONLY: prt_level, lunout
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/nucleation_tstep_mod.F90	(revision 5101)
@@ -10,5 +10,5 @@
   USE aerophys
   USE infotrac_phy
-  USE strataer_local_var_mod, ONLY : flag_new_nucl
+  USE strataer_local_var_mod, ONLY: flag_new_nucl
   USE lmdz_yomcst
   
@@ -39,5 +39,5 @@
   REAL ipr     ! Ion pair production rate (cm-3 s-1) NOT IN USE
 
-  ! call nucleation routine
+  ! CALL nucleation routine
   IF (.NOT.flag_new_nucl) THEN
     ! Use older routine from Hanna Vehkamäki (FMI)
@@ -73,5 +73,5 @@
   USE aerophys
   USE infotrac_phy
-  USE strataer_local_var_mod, ONLY : Vbin
+  USE strataer_local_var_mod, ONLY: Vbin
   
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/ocs_to_so2.F90	(revision 5101)
@@ -4,10 +4,10 @@
 SUBROUTINE ocs_to_so2(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE aerophys
   USE infotrac_phy
-  USE lmdz_yomcst, ONLY : RG
-  USE phys_local_var_mod, ONLY : OCS_lifetime, budg_3D_ocs_to_so2, budg_ocs_to_so2
-  USE strataer_local_var_mod, ONLY : flag_min_rreduce
+  USE lmdz_yomcst, ONLY: RG
+  USE phys_local_var_mod, ONLY: OCS_lifetime, budg_3D_ocs_to_so2, budg_ocs_to_so2
+  USE strataer_local_var_mod, ONLY: flag_min_rreduce
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/so2_to_h2so4.F90	(revision 5101)
@@ -4,11 +4,11 @@
 SUBROUTINE SO2_TO_H2SO4(pdtphys,tr_seri,t_seri,pplay,paprs,is_strato)
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE aerophys
   USE infotrac_phy
-  USE lmdz_yomcst, ONLY : RG, RD
+  USE lmdz_yomcst, ONLY: RG, RD
   ! lifetime (sec) et O3_clim (VMR)
-  USE phys_local_var_mod, ONLY : SO2_lifetime, H2SO4_lifetime, O3_clim, budg_3D_so2_to_h2so4, budg_so2_to_h2so4
-  USE strataer_local_var_mod, ONLY : flag_OH_reduced, flag_H2SO4_photolysis, flag_min_rreduce
+  USE phys_local_var_mod, ONLY: SO2_lifetime, H2SO4_lifetime, O3_clim, budg_3D_so2_to_h2so4, budg_so2_to_h2so4
+  USE strataer_local_var_mod, ONLY: flag_OH_reduced, flag_H2SO4_photolysis, flag_min_rreduce
   
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5101)
@@ -11,14 +11,14 @@
 
   USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY :  is_omp_root
+  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
+  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
 
   USE mod_phys_lmdz_para 
   USE dimphy
-  USE phys_cal_mod, ONLY : mth_cur
+  USE phys_cal_mod, ONLY: mth_cur
   USE infotrac_phy
   USE aerophys
   USE lmdz_yomcst
-  USE strataer_local_var_mod, ONLY : flag_newclim_file
+  USE strataer_local_var_mod, ONLY: flag_newclim_file
   
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5101)
@@ -7,7 +7,7 @@
 
     USE strataer_local_var_mod
-    USE ioipsl_getin_p_mod, ONLY : getin_p
-    USE print_control_mod, ONLY : lunout
-    USE mod_phys_lmdz_para, ONLY : is_master
+    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE print_control_mod, ONLY: lunout
+    USE mod_phys_lmdz_para, ONLY: is_master
 
     ! Local variables
@@ -217,5 +217,5 @@
     USE dimphy, ONLY: klon
     USE mod_grid_phy_lmdz, ONLY: nbp_lat, nbp_lon
-    USE print_control_mod, ONLY : lunout
+    USE print_control_mod, ONLY: lunout
     USE strataer_local_var_mod
     USE lmdz_yomcst, ONLY: RPI
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5101)
@@ -10,7 +10,7 @@
   SUBROUTINE strataer_nuc_init()
     
-    USE ioipsl_getin_p_mod, ONLY : getin_p
-    USE print_control_mod, ONLY : lunout
-    USE mod_phys_lmdz_para, ONLY : is_master
+    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE print_control_mod, ONLY: lunout
+    USE mod_phys_lmdz_para, ONLY: is_master
     USE strataer_local_var_mod, ONLY: ALPH2SO4,flag_nuc_rate_box,nuclat_min,nuclat_max, &
          nucpres_min,nucpres_max
@@ -50,6 +50,6 @@
     
     USE infotrac_phy, ONLY: nbtr, nbtr_sulgas, id_H2SO4_strat
-    USE ioipsl, ONLY : getin
-    USE print_control_mod, ONLY : lunout
+    USE ioipsl, ONLY: getin
+    USE print_control_mod, ONLY: lunout
     
     ! Output variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratdistrib.F90	(revision 5101)
@@ -4,7 +4,7 @@
 SUBROUTINE STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE strataer_local_var_mod
-  USE lmdz_yomcst, only : RPI
+  USE lmdz_yomcst, ONLY: RPI
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5101)
@@ -6,13 +6,13 @@
                     stretchlong,ispeci,id_species_total) 
 
-  USE dimphy, ONLY : klon,klev
+  USE dimphy, ONLY: klon,klev
   USE strataer_local_var_mod
   USE phys_cal_mod
   USE phys_local_var_mod, ONLY: d_q_emiss
-  USE lmdz_yomcst, only : RD, RPI, RG
-  USE geometry_mod, ONLY : cell_area, boundslat
+  USE lmdz_yomcst, ONLY: RD, RPI, RG
+  USE geometry_mod, ONLY: cell_area, boundslat
   USE aerophys
   USE infotrac_phy
-  USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
   USE mod_grid_phy_lmdz, ONLY: nbp_lon
  
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5101)
@@ -25,6 +25,6 @@
 !        assuming 'curved surface' composition (depends on aerosol size)
     
-      USE dimphy, ONLY : klon,klev ! nb of longitude and altitude bands
-      USE infotrac_phy, ONLY : nbtr_bin
+      USE dimphy, ONLY: klon,klev ! nb of longitude and altitude bands
+      USE infotrac_phy, ONLY: nbtr_bin
       USE aerophys
       USE phys_local_var_mod, ONLY: R2SO4, R2SO4B, DENSO4, DENSO4B, f_r_wet, f_r_wetB
@@ -164,5 +164,5 @@
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
  
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE aerophys
     USE phys_local_var_mod, ONLY: R2SO4
@@ -550,5 +550,5 @@
 !   ACTSO4: H2SO4 activity (percent)
  
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE phys_local_var_mod, ONLY: R2SO4
 
@@ -635,5 +635,5 @@
 !   DENSO4: aerosol mass density (gr/cm3 = aerosol mass/aerosol volume)
 
-    USE dimphy, ONLY : klon,klev
+    USE dimphy, ONLY: klon,klev
     USE phys_local_var_mod, ONLY: R2SO4, DENSO4
 
@@ -986,5 +986,5 @@
 !        mfh2so4 = Mh2so4*sulfmolal / (1000.+Mh2so4*sulfmolal) 
 !        wph2so4 (% mass fraction)= 100.*Mh2so4*sulfmolal / (1000.+Mh2so4*sulfmolal) 
-!        recall activity of i = a_i = P_i/P_pure_i and 
+!        reCALL activity of i = a_i = P_i/P_pure_i and
 !          activity coefficient of i = gamma_i = a_i/X_i (X_i: mole fraction of i)
 !        so  P_i = gamma_i*X_i*P_pure_i
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5101)
@@ -15,11 +15,11 @@
     
     USE dimphy
-    USE infotrac_phy, ONLY : nbtr_bin, nbtr_sulgas, nbtr, id_SO2_strat
+    USE infotrac_phy, ONLY: nbtr_bin, nbtr_sulgas, nbtr, id_SO2_strat
     USE aerophys
-    USE geometry_mod, ONLY : cell_area, boundslat
+    USE geometry_mod, ONLY: cell_area, boundslat
     USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY :  is_mpi_root
+    USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
     USE mod_phys_lmdz_para, only: gather, scatter
-    USE phys_cal_mod, ONLY : year_len, year_cur, mth_cur, day_cur, hour
+    USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod
     USE phys_local_var_mod, ONLY: stratomask
@@ -325,8 +325,8 @@
     CALL micphy_tstep(pdtphys,tr_seri,t_seri,pplay,paprs,rh,is_strato)
 
-!--call coagulation routine 
+!--CALL coagulation routine
     CALL coagulate(pdtphys,mdw,tr_seri,t_seri,pplay,dens_aer,is_strato)
 
-!--call sedimentation routine
+!--CALL sedimentation routine
     CALL aer_sedimnt(pdtphys, t_seri, pplay, paprs, tr_seri, dens_aer)
 