Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5101)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5103)
@@ -349,5 +349,4 @@
             reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
     USE output_physiqex_mod, ONLY: output_physiqex
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
 
     IMPLICIT NONE
@@ -776,5 +775,5 @@
 
     !@$$      LOGICAL offline           ! Controle du stockage ds "physique"
-    !@$$      PARAMETER (offline=.false.)
+    !@$$      PARAMETER (offline=.FALSE.)
     !@$$      INTEGER physid
     REAL frac_impa(klon, klev) ! fractions d'aerosols lessivees (impaction)
@@ -1261,8 +1260,8 @@
     if (debut) then                                                        !
       iflag_physiq = 0
-      call getin_p('iflag_physiq', iflag_physiq)                          !
+      CALL getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
     if (iflag_physiq == 2) then                                          !
-      call physiqex (nlon, nlev, &                                         !
+      CALL physiqex (nlon, nlev, &                                         !
               debut, lafin, pdtphys_, &                                             !
               paprs, pplay, pphi, pphis, presnivs, &                                  !
@@ -1276,5 +1275,5 @@
     pi = 4. * ATAN(1.)
 
-    ! set-up call to alerte function
+    ! set-up CALL to alerte function
     call_alert = (alert_first_call .AND. is_master)
 
@@ -1365,5 +1364,5 @@
               CALL regr_horiz_time_climoz(read_climoz, ok_daily_climoz)
 
-      print*, '================================================='
+      PRINT*, '================================================='
 
       !CR: check sur le nb de traceurs de l eau
@@ -1448,5 +1447,5 @@
       WRITE(lunout, *) 'debut physiq_mod tau_gl=', tau_gl
       iflag_thermcell_tke = 0
-      call getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
+      CALL getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
 
       CALL getin_p('iflag_alp_wk_cond', iflag_alp_wk_cond)
@@ -1476,5 +1475,5 @@
       fl_cor_ebil = 0 ! by default, no correction to ensure energy conservation
       CALL getin_p('fl_cor_ebil', fl_cor_ebil)
-      iflag_phytrac = 1 ! by default we do want to call phytrac
+      iflag_phytrac = 1 ! by default we do want to CALL phytrac
       CALL getin_p('iflag_phytrac', iflag_phytrac)
 
@@ -1482,5 +1481,5 @@
       CALL getin_p('ok_water_mass_fixer', ok_water_mass_fixer)
       IF (CPPKEY_DUST) THEN
-        IF (iflag_phytrac.EQ.0) THEN
+        IF (iflag_phytrac==0) THEN
           WRITE(lunout, *) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
           iflag_phytrac = 1
@@ -1514,5 +1513,5 @@
       !AI 08 2023
 #ifdef CPP_ECRAD
-       ok_3Deffect=.false.
+       ok_3Deffect=.FALSE.
        CALL getin_p('ok_3Deffect',ok_3Deffect)
        namelist_ecrad_file='namelist_ecrad'
@@ -1584,7 +1583,7 @@
       clwcon(:, :) = 0.0
 
-      print*, 'iflag_coupl,iflag_clos,iflag_wake', &
+      PRINT*, 'iflag_coupl,iflag_clos,iflag_wake', &
               iflag_coupl, iflag_clos, iflag_wake
-      print*, 'iflag_cycle_diurne', iflag_cycle_diurne
+      PRINT*, 'iflag_cycle_diurne', iflag_cycle_diurne
 
       IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
@@ -1674,8 +1673,8 @@
         CLOSE(98)
         IF(nCFMIP>npCFMIP) THEN
-          print*, 'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
+          PRINT*, 'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
           CALL abort_physic("physiq", "", 1)
         ELSE
-          print*, 'physiq npCFMIP=', npCFMIP, 'nCFMIP=', nCFMIP
+          PRINT*, 'physiq npCFMIP=', npCFMIP, 'nCFMIP=', nCFMIP
         ENDIF
 
@@ -1708,8 +1707,7 @@
       ENDIF
 
-#ifdef CPP_IOIPSL
 
        !$OMP MASTER
-       ! FH : if ok_sync=.true. , the time axis is written at each time step
+       ! FH : if ok_sync=.TRUE. , the time axis is written at each time step
        ! in the output files. Only at the end in the opposite case
        ok_sync_omp=.FALSE.
@@ -1740,5 +1738,4 @@
       END IF
 
-#endif
       ecrit_reg = ecrit_reg * un_jour
       ecrit_tra = ecrit_tra * un_jour
@@ -1920,5 +1917,5 @@
       ENDIF
       !IM begin
-      print*, 'physiq: clwcon rnebcon ratqs', clwcon(1, 1), rnebcon(1, 1) &
+      PRINT*, 'physiq: clwcon rnebcon ratqs', clwcon(1, 1), rnebcon(1, 1) &
               , ratqs(1, 1)
       !IM end
@@ -1937,5 +1934,5 @@
       !               pdtphys
       !          abort_message='Pas physique n est pas correct '
-      !          !           call abort_physic(modname,abort_message,1)
+      !          !           CALL abort_physic(modname,abort_message,1)
       !          phys_tstep=pdtphys
       !       ENDIF
@@ -1997,5 +1994,5 @@
                   , alp_bl_prescr, ale_bl_prescr)
           ! 11/09/06 rajout initialisation ALE et ALP du wake et PBL(YU)
-          !        print*,'apres ini_wake iflag_cld_th=', iflag_cld_th
+          !        PRINT*,'apres ini_wake iflag_cld_th=', iflag_cld_th
 
           ! Initialize tendencies of wake state variables (for some flag values
@@ -2091,5 +2088,5 @@
         CALL bcast_omp(missing_val)
 
-        ! Now we activate some double radiation call flags only if some
+        ! Now we activate some double radiation CALL flags only if some
         ! diagnostics are requested, otherwise there is no point in doing this
         IF (is_master) THEN
@@ -2145,5 +2142,4 @@
 
       IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
-        IF (CPPKEY_INCA) THEN
           CALL VTe(VTphysiq)
           CALL VTb(VTinca)
@@ -2151,5 +2147,5 @@
           WRITE(lunout, *) 'initial time chemini', days_elapsed, calday
 
-          call init_const_lmdz(&
+          CALL init_const_lmdz(&
                   ndays, nbsrf, is_oce, is_sic, is_ter, is_lic, calend, &
                   config_inca)
@@ -2221,5 +2217,4 @@
           CALL VTe(VTinca)
           CALL VTb(VTphysiq)
-        END IF
       ENDIF
 
@@ -2338,5 +2333,5 @@
 #ifdef REPROBUS
        CALL Init_chem_rep_xjour(jD_cur-jD_ref+day_ref)
-       print*,'xjour equivalent rjourvrai',jD_cur-jD_ref+day_ref
+       PRINT*,'xjour equivalent rjourvrai',jD_cur-jD_ref+day_ref
        CALL Rtime(debut)
 #endif
@@ -3056,5 +3051,5 @@
 
       IF (iflag_con==1) THEN
-        abort_message = 'reactiver le call conlmd dans physiq.F'
+        abort_message = 'reactiver le CALL conlmd dans physiq.F'
         CALL abort_physic (modname, abort_message, 1)
         !     CALL conlmd (phys_tstep, paprs, pplay, t_seri, q_seri, conv_q,
@@ -3105,5 +3100,5 @@
         ! Perform dry adiabatic adjustment on wake profile
         ! The corresponding tendencies are added to the convective tendencies
-        ! after the call to the convective scheme.
+        ! after the CALL to the convective scheme.
         IF (iflag_wake>=1) then
           IF (iflag_adjwk >= 1) THEN
@@ -3201,5 +3196,5 @@
 
           !IM begin
-          !       print*,'physiq: cin pbase dnwd0 ftd fqd ',cin(1),pbase(1),
+          !       PRINT*,'physiq: cin pbase dnwd0 ftd fqd ',cin(1),pbase(1),
           !    .dnwd0(1,1),ftd(1,1),fqd(1,1)
           !IM end
@@ -3210,5 +3205,5 @@
 
           !jyg<
-          ! If convective tendencies are too large, then call convection
+          ! If convective tendencies are too large, then CALL convection
           !  every time step
           cvpas = cvpas_0
@@ -3236,5 +3231,5 @@
           ENDDO
           !!!   Ligne a ne surtout pas remettre sans avoir murement reflechi (jyg)
-          !!!          call bcast(cvpas)
+          !!!          CALL bcast(cvpas)
           !!!   ------------------------------------------------------------
           !>jyg
@@ -3378,5 +3373,5 @@
     !!                     dqi0, paprs, 'convection_sat', abortphy, flag_inhib_tend,&
     !!                     itap, 1)
-    !!    call prt_enerbil('convection_sat',itap)
+    !!    CALL prt_enerbil('convection_sat',itap)
     !!
     !!
@@ -3685,5 +3680,5 @@
         ! FH : 2010/02/01
         if (iflag_thermcell_tke==1) then
-          call thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
+          CALL thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
         endif
         ! -------------------------------------------------------------------
@@ -3713,5 +3708,5 @@
         ENDIF
 
-        ! Attention : le call ajsec_convV2 n'est maintenu que momentanneement
+        ! Attention : le CALL ajsec_convV2 n'est maintenu que momentanneement
         ! pour des test de convergence numerique.
         ! Le nouveau ajsec est a priori mieux, meme pour le cas
@@ -3900,12 +3895,12 @@
     IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
       snow_tiedtke = 0.
-      !     print*,'avant calcul de la pseudo precip '
-      !     print*,'iflag_cld_th',iflag_cld_th
+      !     PRINT*,'avant calcul de la pseudo precip '
+      !     PRINT*,'iflag_cld_th',iflag_cld_th
       IF (iflag_cld_th==-1) THEN
         rain_tiedtke = rain_con
       ELSE
-        !       print*,'calcul de la pseudo precip '
+        !       PRINT*,'calcul de la pseudo precip '
         rain_tiedtke = 0.
-        !         print*,'calcul de la pseudo precip 0'
+        !         PRINT*,'calcul de la pseudo precip 0'
         DO k = 1, klev
           DO i = 1, klon
@@ -3918,5 +3913,5 @@
       ENDIF
 
-      !     call dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
+      !     CALL dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
 
       ! Nuages diagnostiques pour Tiedtke
@@ -4096,5 +4091,4 @@
 
     IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
-      IF (CPPKEY_INCA) THEN
         CALL VTe(VTphysiq)
         CALL VTb(VTinca)
@@ -4149,5 +4143,4 @@
         CALL VTe(VTinca)
         CALL VTb(VTphysiq)
-      END IF
     ENDIF !type_trac = inca or inco
     IF (type_trac == 'repr') THEN
@@ -4352,5 +4345,5 @@
 
         !IM 251017 begin
-        !               print*,'physiq betaCRF global zdtime=',zdtime
+        !               PRINT*,'physiq betaCRF global zdtime=',zdtime
         !IM 251017 end
         DO k = 1, klev
@@ -4403,5 +4396,5 @@
       !lecture de la chlorophylle pour le nouvel albedo de Sunghye Baek
       IF (ok_chlorophyll) THEN
-        print*, "-- reading chlorophyll"
+        PRINT*, "-- reading chlorophyll"
         CALL readchlorophyll(debut)
       ENDIF
@@ -4433,5 +4426,4 @@
 
       IF (aerosol_couple.AND.config_inca=='aero') THEN
-        IF (CPPKEY_INCA) THEN
           CALL radlwsw_inca  &
                   (chemistry_couple, kdlon, kflev, dist, rmu0, fract, solaire, &
@@ -4453,5 +4445,4 @@
                   cldtaupirad, &
                   topswai_aero, solswai_aero)
-        END IF
       ELSE
 
@@ -4600,5 +4591,5 @@
 #ifdef CPP_ECRAD
           IF (ok_3Deffect) then
-!                print*,'ok_3Deffect = ',ok_3Deffect
+!                PRINT*,'ok_3Deffect = ',ok_3Deffect
                 namelist_ecrad_file='namelist_ecrad_s2'
                 CALL radlwsw &
@@ -4722,5 +4713,5 @@
 
     IF (prt_level >=10) THEN
-      print *, ' call orography ? ', ok_orodr
+      print *, ' CALL orography ? ', ok_orodr
     ENDIF
 
@@ -4989,5 +4980,5 @@
 
     IF (prt_level>=5) &
-            print*, 'addtkeoro', addtkeoro
+            PRINT*, 'addtkeoro', addtkeoro
 
     alphatkeoro = 1.
@@ -5090,8 +5081,8 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-          !       print*,'Dans physiq.F avant appel cosp ref_liq,ref_ice=',
+          !       PRINT*,'Dans physiq.F avant appel cosp ref_liq,ref_ice=',
           !     s        ref_liq,ref_ice
           CALL phys_cosp(itap,phys_tstep,freq_cosp, &
@@ -5121,8 +5112,8 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-                 print*,'Dans physiq.F avant appel '
+                 PRINT*,'Dans physiq.F avant appel '
           !     s        ref_liq,ref_ice
           CALL phys_cosp2(itap,phys_tstep,freq_cosp, &
@@ -5146,5 +5137,5 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
            DO k = 1, klev
@@ -5154,5 +5145,5 @@
            ENDDO
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-                 print*,'Dans physiq.F avant appel '
+                 PRINT*,'Dans physiq.F avant appel '
           !     s        ref_liq,ref_ice
           CALL lmdz_cosp_interface(itap,phys_tstep,freq_cosp, &
@@ -5267,5 +5258,5 @@
 
 
-          print*,'avt add phys rep',abortphy
+          PRINT*,'avt add phys rep',abortphy
 
      CALL add_phys_tend &
@@ -5274,5 +5265,5 @@
         IF (abortphy==1) Print*,'ERROR ABORT REP'
 
-          print*,'apr add phys rep',abortphy
+          PRINT*,'apr add phys rep',abortphy
 
 #endif
@@ -5285,5 +5276,5 @@
 
       IF (prt_level>=9) &
-              print*, 'Attention on met a 0 les thermiques pour phystoke'
+              PRINT*, 'Attention on met a 0 les thermiques pour phystoke'
       CALL phystokenc (&
               nlon, klev, pdtphys, longitude_deg, latitude_deg, &
@@ -5423,5 +5414,4 @@
 
     IF (ANY(type_trac == ['inca', 'inco'])) THEN
-      IF (CPPKEY_INCA) THEN
         CALL VTe(VTphysiq)
         CALL VTb(VTinca)
@@ -5443,5 +5433,4 @@
         CALL VTe(VTinca)
         CALL VTb(VTphysiq)
-      END IF
     ENDIF
 
@@ -5591,5 +5580,4 @@
     !   Ecriture des sorties
     !=============================================================
-#ifdef CPP_IOIPSL
 
     ! Recupere des varibles calcule dans differents modules
@@ -5651,8 +5639,7 @@
     END IF
 
-#endif
     ! Petit appelle de sorties pour accompagner le travail sur phyex
     if (iflag_physiq == 1) then
-      call output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
+      CALL output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
     endif
 
@@ -5695,10 +5682,8 @@
       IF (using_xios) THEN
 
-        IF (CPPKEY_INCA) THEN
           IF (type_trac == 'inca') THEN
             IF (is_omp_master .AND. grid_type==unstructured) THEN
               CALL finalize_inca
             ENDIF
-          ENDIF
         END IF
 
@@ -5710,5 +5695,5 @@
     ENDIF
 
-    !      first=.false.
+    !      first=.FALSE.
 
   END SUBROUTINE physiq