Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5106)
@@ -767,5 +767,5 @@
 
   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-  SUBROUTINE phytracr_spl (debutphy, lafin, jD_cur, jH_cur, iflag_conv, &  ! I
+  SUBROUTINE phytracr_spl(debutphy, lafin, jD_cur, jH_cur, iflag_conv, &  ! I
           pdtphys, ftsol, &  ! I
           t_seri, q_seri, paprs, pplay, RHcl, &  ! I
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/splaeropt_6bands_rrtm.f90	(revision 5106)
@@ -2,5 +2,5 @@
 ! $Id: splaeropt_6bands_rrtm.F90 2644 2016-10-02 16:55:08Z oboucher $
 
-SUBROUTINE SPLAEROPT_6BANDS_RRTM (&
+SUBROUTINE SPLAEROPT_6BANDS_RRTM(&
         zdm, tr_seri, RHcl, &
         tau_allaer, piz_allaer, cg_allaer)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/tiedqneg.f90	(revision 5106)
@@ -1,3 +1,3 @@
-SUBROUTINE tiedqneg (pres_h, q, d_q)
+SUBROUTINE tiedqneg(pres_h, q, d_q)
 
   USE dimphy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5106)
@@ -86,5 +86,5 @@
 ! $Id: add_phys_tend.F90 2611 2016-08-03 15:41:26Z jyg $
 
-SUBROUTINE add_phys_tend (zdu,zdv,zdt,zdq,zdql,zdqi,zdqbs,paprs,text, &
+SUBROUTINE add_phys_tend(zdu,zdv,zdt,zdq,zdql,zdqi,zdqbs,paprs,text, &
                           abortphy,flag_inhib_tend, itap, diag_mode)
 !======================================================================
@@ -488,5 +488,5 @@
 END SUBROUTINE add_phys_tend
 
-SUBROUTINE diag_phys_tend (nlon, nlev, uu, vv, temp, qv, ql, qs, qbs, &
+SUBROUTINE diag_phys_tend(nlon, nlev, uu, vv, temp, qv, ql, qs, qbs, &
                           zdu,zdv,zdt,zdq,zdql,zdqs,zdqbs,paprs,text)
 !======================================================================
@@ -715,5 +715,5 @@
 END SUBROUTINE integr_v
 
-SUBROUTINE prt_enerbil (text, itap)
+SUBROUTINE prt_enerbil(text, itap)
 !======================================================================
 ! Print enenrgy budget diagnotics for the 1D case
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5106)
@@ -1,3 +1,3 @@
-SUBROUTINE alpale ( debut, itap, dtime, paprs, omega, t_seri,   &
+SUBROUTINE alpale( debut, itap, dtime, paprs, omega, t_seri,   &
                     alp_offset, it_wape_prescr,  wape_prescr, fip_prescr, &
                     ale_bl_prescr, alp_bl_prescr, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5106)
@@ -2,5 +2,5 @@
 ! $Id$
 
-SUBROUTINE alpale_th ( dtime, lmax_th, t_seri, cell_area,  &
+SUBROUTINE alpale_th( dtime, lmax_th, t_seri, cell_area,  &
                        cin, s2, n2, strig,  &
                        ale_bl_trig, ale_bl_stat, ale_bl,  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90	(revision 5106)
@@ -1,3 +1,3 @@
-SUBROUTINE alpale_wk ( dtime, cell_area, zoccur, sigmaw, wdens, fip ,  &
+SUBROUTINE alpale_wk( dtime, cell_area, zoccur, sigmaw, wdens, fip ,  &
                        fip_cond)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5106)
@@ -2,5 +2,5 @@
 ! $Id$
 
-SUBROUTINE atm2geo ( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
+SUBROUTINE atm2geo( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
   USE dimphy
   USE mod_phys_lmdz_para
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5106)
@@ -2,5 +2,5 @@
 
 
-      SUBROUTINE coefcdrag (klon, knon, nsrf, zxli, &
+      SUBROUTINE coefcdrag(klon, knon, nsrf, zxli, &
                             speed, t, q, zgeop, psol, &
                             ts, qsurf, rugos, okri, ri1, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5106)
@@ -1425,5 +1425,5 @@
 
 
-  Subroutine Nudge_RHT_init (paprs, pplay, t, q, t_targ, rh_targ)
+  SubROUTINE Nudge_RHT_init(paprs, pplay, t, q, t_targ, rh_targ)
     ! ========================================================
     USE dimphy
@@ -1473,5 +1473,5 @@
   END SUBROUTINE nudge_rht_init
 
-  Subroutine Nudge_UV_init (paprs, pplay, u, v, u_targ, v_targ)
+  SubROUTINE Nudge_UV_init(paprs, pplay, u, v, u_targ, v_targ)
     ! ========================================================
     USE dimphy
@@ -1505,5 +1505,5 @@
   END
 
-  Subroutine Nudge_RHT (dtime, paprs, pplay, t_targ, rh_targ, t, q, &
+  SubROUTINE Nudge_RHT(dtime, paprs, pplay, t_targ, rh_targ, t, q, &
           &                      d_t, d_q)
     ! ========================================================
@@ -1594,5 +1594,5 @@
   END
 
-  Subroutine Nudge_UV (dtime, paprs, pplay, u_targ, v_targ, u, v, &
+  SubROUTINE Nudge_UV(dtime, paprs, pplay, u_targ, v_targ, u, v, &
           &                      d_u, d_v)
     ! ========================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5106)
@@ -1029,5 +1029,5 @@
     !***************************************************************************
 
-    SUBROUTINE sisvatetat0 (fichnom, ikl2i)
+    SUBROUTINE sisvatetat0(fichnom, ikl2i)
 
         USE dimphy
@@ -1260,5 +1260,5 @@
 
     !======================================================================
-    SUBROUTINE sisvatredem (fichnom, ikl2i, rlon, rlat)
+    SUBROUTINE sisvatredem(fichnom, ikl2i, rlon, rlat)
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5106)
@@ -452,5 +452,5 @@
 
 
-  SUBROUTINE histdef2d_old (iff,lpoint,flag_var,nomvar,titrevar,unitvar)
+  SUBROUTINE histdef2d_old(iff,lpoint,flag_var,nomvar,titrevar,unitvar)
 
     USE ioipsl, ONLY: histdef
@@ -528,5 +528,5 @@
   END SUBROUTINE histdef2d_old
 
-  SUBROUTINE histdef3d_old (iff,lpoint,flag_var,nomvar,titrevar,unitvar)
+  SUBROUTINE histdef3d_old(iff,lpoint,flag_var,nomvar,titrevar,unitvar)
 
     USE ioipsl, ONLY: histdef
@@ -579,5 +579,5 @@
   END SUBROUTINE histdef3d_old
 
-  SUBROUTINE histdef2d (iff,var)
+  SUBROUTINE histdef2d(iff,var)
 
     USE ioipsl, ONLY: histdef
@@ -694,5 +694,5 @@
   END SUBROUTINE histdef2d
 
-  SUBROUTINE histdef3d (iff,var)
+  SUBROUTINE histdef3d(iff,var)
 
     USE ioipsl, ONLY: histdef
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5106)
@@ -2410,5 +2410,5 @@
 
 
-SUBROUTINE pkupper (klon, klev, ptop, ph, p, pupper, kupper, &
+SUBROUTINE pkupper(klon, klev, ptop, ph, p, pupper, kupper, &
                     dth, hw_, rho, delta_t_min_in, &
                     ktop, wk_adv, h_zzz, ptop1, ktop1)
@@ -2969,5 +2969,5 @@
     END SUBROUTINE wake_popdyn_1
     
-    SUBROUTINE wake_popdyn_2 ( klon, klev, wk_adv, dtimesub, wgen, &
+    SUBROUTINE wake_popdyn_2( klon, klev, wk_adv, dtimesub, wgen, &
                              wdensmin, &
                              sigmaw, wdens, awdens, &   !! states variables
@@ -3119,5 +3119,5 @@
     END SUBROUTINE wake_popdyn_2  
   
-    SUBROUTINE wake_popdyn_3 ( klon, klev, phys_sub, wk_adv, dtimesub, wgen, &
+    SUBROUTINE wake_popdyn_3( klon, klev, phys_sub, wk_adv, dtimesub, wgen, &
                              wdensmin, &
                              sigmaw, asigmaw, wdens, awdens, &                       !! state variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5106)
@@ -315,5 +315,5 @@
   ! optical properties on a host models vertical grid. 
 
-  SUBROUTINE sp_aop_profile                                                                           ( &
+  SUBROUTINE sp_aop_profile( &
        nlevels        ,ncol           ,lambda         ,oro            ,lon            ,lat            , &
        year_fr        ,z              ,dz             ,dNovrN         ,aod_prof       ,ssa_prof       , &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5106)
@@ -8,5 +8,5 @@
 CONTAINS
 
-SUBROUTINE phyetat0 (fichnom, clesphy0, tabcntr0)
+SUBROUTINE phyetat0(fichnom, clesphy0, tabcntr0)
 
   USE dimphy, only: klon, zmasq, klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5106)
@@ -2,5 +2,5 @@
 ! $Id$
 
-SUBROUTINE phyredem (fichnom)
+SUBROUTINE phyredem(fichnom)
 
 !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5106)
@@ -8,5 +8,5 @@
 CONTAINS
 
-  SUBROUTINE physiq (nlon, nlev, &
+  SUBROUTINE physiq(nlon, nlev, &
           debut, lafin, pdtphys_, &
           paprs, pplay, pphi, pphis, presnivs, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5106)
@@ -6,5 +6,5 @@
 CONTAINS
 
-      SUBROUTINE physiqex (nlon,nlev, &
+      SUBROUTINE physiqex(nlon,nlev, &
               debut,lafin,pdtphys, &
               paprs,pplay,pphi,pphis,presnivs, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phystokenc_mod.F90	(revision 5106)
@@ -24,5 +24,5 @@
   END SUBROUTINE init_phystokenc
 
-SUBROUTINE phystokenc (nlon,nlev,pdtphys,rlon,rlat, &
+SUBROUTINE phystokenc(nlon,nlev,pdtphys,rlon,rlat, &
      pt,pmfu, pmfd, pen_u, pde_u, pen_d, pde_d, &
      pfm_therm,pentr_therm, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5106)
@@ -1,3 +1,3 @@
-SUBROUTINE print_debug_phys (i,debug_lev,text)
+SUBROUTINE print_debug_phys(i,debug_lev,text)
 
 USE dimphy, ONLY: klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/reevap.F90	(revision 5106)
@@ -1,3 +1,3 @@
-  SUBROUTINE reevap (klon,klev,iflag_ice_thermo,t_seri,q_seri,ql_seri,qs_seri, &
+  SUBROUTINE reevap(klon,klev,iflag_ice_thermo,t_seri,q_seri,ql_seri,qs_seri, &
            d_t_eva,d_q_eva,d_ql_eva,d_qs_eva)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5106)
@@ -514,5 +514,5 @@
 
 
-        SUBROUTINE masque (ibeg, iend, som_tau, &
+        SUBROUTINE masque(ibeg, iend, som_tau, &
    visible, w)
 
@@ -555,5 +555,5 @@
 
 
-         SUBROUTINE caract (ibeg, iend, temp_cs, tau_cs, iwco_cs, &
+         SUBROUTINE caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
    pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
    som_tau, som_iwc, som_dz, som_rad)