Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5110)
@@ -8,10 +8,10 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
   USE phys_local_var_mod, ONLY: budg_3D_backgr_ocs, budg_3D_backgr_so2
   USE phys_local_var_mod, ONLY: OCS_lifetime, SO2_lifetime, H2SO4_lifetime, O3_clim
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5110)
@@ -21,7 +21,7 @@
   USE dimphy
   USE lmdz_yomcst  , ONLY: RG, RPI
-  USE mod_phys_lmdz_para, only: gather, scatter, bcast
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_para, only: gather, scatter, bcast
+  USE lmdz_grid_phy, ONLY: klon_glo
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
   USE print_control_mod, ONLY: prt_level, lunout
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5110)
@@ -10,9 +10,9 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
 
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod, ONLY: mth_cur
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5110)
@@ -9,5 +9,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
 
     ! Local variables
@@ -216,5 +216,5 @@
     USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE dimphy, ONLY: klon
-    USE mod_grid_phy_lmdz, ONLY: nbp_lat, nbp_lon
+    USE lmdz_grid_phy, ONLY: nbp_lat, nbp_lon
     USE print_control_mod, ONLY: lunout
     USE strataer_local_var_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5110)
@@ -157,5 +157,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE infotrac_phy, ONLY: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, nbtr_sulgas, nbtr_bin
     USE phys_local_var_mod, ONLY: mdw
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5110)
@@ -12,5 +12,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE strataer_local_var_mod, ONLY: ALPH2SO4,flag_nuc_rate_box,nuclat_min,nuclat_max, &
          nucpres_min,nucpres_max
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5110)
@@ -14,6 +14,6 @@
   USE aerophys
   USE infotrac_phy
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_grid_phy, ONLY: nbp_lon
  
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5105)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5110)
@@ -18,7 +18,7 @@
     USE aerophys
     USE geometry_mod, ONLY: cell_area, boundslat
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-    USE mod_phys_lmdz_para, only: gather, scatter
+    USE lmdz_grid_phy
+    USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+    USE lmdz_phys_para, only: gather, scatter
     USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod